Download it now!
Bug 114539 - malfunction of the new RAWSUBTRACT function in nested expression context
Summary: malfunction of the new RAWSUBTRACT function in nested expression context
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.5.7.2 release
Hardware: All All
: medium normal
Assignee: Eike Rathke
URL:
Whiteboard: target:6.1.0 target:6.0.0.1 target:5.4.5
Keywords:
Depends on:
Blocks:
 
Reported: 2017-12-18 14:59 UTC by Jerzy Moruś
Modified: 2018-01-17 14:49 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Illustration of a malfunction. (66.86 KB, image/png)
2017-12-18 14:59 UTC, Jerzy Moruś
Details
Calc's file with RAWSUBTRACT function (9.08 KB, application/vnd.oasis.opendocument.spreadsheet)
2017-12-19 09:49 UTC, Jerzy Moruś
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jerzy Moruś 2017-12-18 14:59:00 UTC
Created attachment 138508 [details]
Illustration of a malfunction.

I am reporting a malfunction of the RAWSUBTRACT function.
Probably no one used it in such a context as in the attached drawing.
Comment 1 Regina Henschel 2017-12-18 21:50:39 UTC
Please provide the file itself, not only an image.
Comment 2 Jerzy Moruś 2017-12-19 09:49:19 UTC
Created attachment 138519 [details]
Calc's file with RAWSUBTRACT function
Comment 3 Regina Henschel 2017-12-19 13:54:26 UTC
I see the error in Version: 6.1.0.0.alpha0+ (x64)
Build ID: d73857e7d7f6a5bf38c6a2f396832faabaef65e2
CPU threads: 8; OS: Windows 10.0; UI render: GL; 
TinderBox: Win-x86_64@62-TDF, Branch:master, Time: 2017-12-12_17:37:14
Locale: de-DE (de_DE); Calc: CL

It depends on the order in concatenation. TEXT(RAWSUBTRACT())&"mytext" works.
Using CONCAT or CONCATENATE shows the same error.
Comment 4 Eike Rathke 2017-12-19 14:37:25 UTC
Please don't assign a bug when reporting.. specifically not to yourself unless you want to work on it and fix it ;-)
Investigating.
Comment 5 Commit Notification 2017-12-19 15:33:34 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4b444b4c1efc2be219e6975e30048ff616fdac0f

Resolves: tdf#114539 only pop own parameters from stack

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Eike Rathke 2017-12-19 15:41:45 UTC
Pending review
https://gerrit.libreoffice.org/46800 for 6-0
https://gerrit.libreoffice.org/46801 for 5-4
Comment 7 Commit Notification 2017-12-19 19:24:02 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3fb74dbbe2ccce8daf83a189fe8bd567ac29259b&h=libreoffice-6-0

Resolves: tdf#114539 only pop own parameters from stack

It will be available in 6.0.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2018-01-16 13:11:10 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a8a8559a24d043b4b1180acb3a0ff60052be5fad&h=libreoffice-5-4

Resolves: tdf#114539 only pop own parameters from stack

It will be available in 5.4.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Xavier Van Wijmeersch 2018-01-16 17:28:18 UTC
I tested with the attachment 138519 [details] and its works

Version: 6.0.1.0.0+
Build ID: 1f497913901972fd51c222a5824c21f6bda5c0db
CPU threads: 8; OS: Linux 4.14; UI render: default; VCL: kde4; 
Locale: nl-BE (en_US.UTF-8); Calc: group
Comment 10 Xavier Van Wijmeersch 2018-01-17 14:49:03 UTC
its works with

Version: 5.4.5.0.0+
Build ID: a8a8559a24d043b4b1180acb3a0ff60052be5fad
CPU threads: 8; OS: Linux 4.14; UI render: default; VCL: kde4; 
Locale: nl-BE (en_US.UTF-8); Calc: group